GET
https://dev.yimmit.com/api/v3/liquidity/public/:market/tradesGet Market Trades
GET api/v3/liquidity/public/:market/trades
Get recent trades on market, each trade is included only once. Trades are sorted in reverse creation order.
Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| limit | INTEGER | NO | Limit the number of returned trades. Default to 100. |
| page | INTEGER | NO | Specify the page of paginated results. |
| timestamp | INTEGER | NO | An integer represents the seconds elapsed since Unix epoch.If set, only trades executed before the time will be returned. |
| order_by | STRING | NO | If set, returned trades will be sorted in specific order, default to 'desc'. |
Responses
- 200 Successful response
[
{
"id": 525096637,
"price": "0.02888000",
"amount": "0.19000000",
"total": {},
"fee_currency": {},
"fee_amount": {},
"market": "ethbtc",
"created_at": 1771567278,
"order_id": {},
"is_buyer": null,
"side": "sell"
},
{
"id": 525096638,
"price": "0.02888000",
"amount": "1.75720000",
"total": {},
"fee_currency": {},
"fee_amount": {},
"market": "ethbtc",
"created_at": 1771567278,
"order_id": {},
"is_buyer": null,
"side": "sell"
}
]